#include "..\public.h"
#include "windows.h"

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow){
	ChangeWindowMode(true);
	if (DxLib_Init() == -1){
		MessageBoxA(0,"Failed to initialized DxLib!","Error",MB_ICONERROR);
		return -1;
	}
	if (SetDrawScreen(DX_SCREEN_BACK)!=0){
		MessageBoxA(0, "Failed to initialized DxLib!", "Error", MB_ICONERROR);
		return -1;
	}
	while(ProcessMessage() == 0 && ClearDrawScreen() == 0){
		ScreenFlip();
	}
	DxLib_End();
	return 0;
}